Debian Bug report logs - #675968
transition: biosig4c++

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: yoh@onerussian.com

Date: Mon, 4 Jun 2012 16:09:02 UTC

Severity: normal

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, team@neuro.debian.net, Debian Release Team <debian-release@lists.debian.org>:
Bug#675968; Package release.debian.org. (Mon, 04 Jun 2012 16:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to yoh@onerussian.com:
New Bug report received and forwarded. Copy sent to team@neuro.debian.net, Debian Release Team <debian-release@lists.debian.org>. (Mon, 04 Jun 2012 16:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: biosig4c++
Date: Mon, 04 Jun 2012 12:03:06 -0400
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Please pardon me for apparently missing an important advisory for not using
experimental first...  Transition is tiny -- just 2 dependent packages on
libbiosig-dev packages (below).  "Transition bug" against biosig4c++ source is
#675967.  Outstanding FTBFS on ia64 was fixed  (closed now) and I expect it to
build fine on sparc (which would resolve #633346) 

The following source packages need to be rebuilt:

sigviewer     # this one might need a compatibility patch -- although seems to build nicely without
openwalnut

In terms of 'ben' lingo, my non-experienced guestimate that the transition
should have the following parameters:

Affected: .build-depends ~ /libbiosig-dev/
Good: .depends ~ /lbbiosig1/
Bad: .depends ~ /lbbiosig0/

What should be my course of action -- should I just close a transition
bug (#675967) whenever transition slot is allocated?

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (600, 'unstable'), (300, 'experimental'), (100, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#675968; Package release.debian.org. (Mon, 04 Jun 2012 16:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 04 Jun 2012 16:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 675968@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: yoh@onerussian.com, 675968@bugs.debian.org
Subject: Re: Bug#675968: transition: biosig4c++
Date: Mon, 04 Jun 2012 18:44:28 +0200
tags 675968 + pending
thanks

On 2012-06-04 18:03, Yaroslav Halchenko wrote:
> [...]
> 
> Please pardon me for apparently missing an important advisory for not using
> experimental first...


Hi,

I am not entirely sure if this was implied or not in your sentence, but
we would prefer getting a transition bug before the package is uploaded
to sid.  biosi4c++ is currently also involved in the octave transition,
though if openwalnut and sigviewer compiles without any issues there
should not be any issues.

> Transition is tiny -- just 2 dependent packages on libbiosig-dev
> packages (below). "Transition bug" against biosig4c++ source is
> #675967.
> 

The bts is acting up a bit, so I cannot actually read the contents of
#675967 right now.  Anyhow, it appears to be RC, which will stall the
transition so please close it or downgrade it.  For the purpose of
tracking the transition, this bug is sufficient.

> Outstanding FTBFS on ia64 was fixed  (closed now) and I expect it to
> build fine on sparc (which would resolve #633346).

Thanks for solving the ia64 issue so quickly - I see biosig4c++ has
already been rebuilt on all architectures (except sparc and armhf).  I
doubt armhf will cause any issues (given armel succeeded and that armhf
succeesfully built 1.3.0-1).
  As biosig4c++ has not been built on sparc previously, it is less of a
concern for the transition.  But it is nice to see another bug fixed.  :)

> The following source packages need to be rebuilt:
> 
> sigviewer     # this one might need a compatibility patch -- although seems to build nicely without
> openwalnut
> 

We already scheduled the binNMUs for these earlier today and indeed
sigviewer appears to be doing fine (still waiting for mipsel and armhf
though).  openwalut is still building, but I hope it will be as painless
as you expect.

> In terms of 'ben' lingo, my non-experienced guestimate that the transition
> should have the following parameters:
> 
> Affected: .build-depends ~ /libbiosig-dev/
> Good: .depends ~ /lbbiosig1/
> Bad: .depends ~ /lbbiosig0/
> 

There is a tracker at [1].  It uses a slightly different "affected" line
as I wrote the ben file before you reported this bug, but yours would
have been just as good (modulo the "lbbiosig" typo?).  You can ignore
the biosig4c++ being listed as bad (I was too lazy to have biosig4c++
filtered out).

[1] http://release.debian.org/transitions/html/biosig4c++.html

> What should be my course of action -- should I just close a transition
> bug (#675967) whenever transition slot is allocated?
> 
> [...] 
> 

As mentioned above - feel free to close it.  For now we will attempt to
complete the transition immediately as it does not appear to cause a lot
of issues.

~Niels








Added tag(s) pending. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Mon, 04 Jun 2012 16:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#675968; Package release.debian.org. (Mon, 04 Jun 2012 17:12:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 04 Jun 2012 17:12:13 GMT) Full text and rfc822 format available.

Message #17 received at 675968@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Niels Thykier <niels@thykier.net>
Cc: 675968@bugs.debian.org, 675967-done@bugs.debian.org
Subject: Re: Bug#675968: transition: biosig4c++
Date: Mon, 4 Jun 2012 13:11:51 -0400
Thank you Niels,

On Mon, 04 Jun 2012, Niels Thykier wrote:
> I am not entirely sure if this was implied or not in your sentence, but
> we would prefer getting a transition bug before the package is uploaded
> to sid.

yes -- that is what I meant (I have sinned twice btw -- just yesterday
uploaded fresh libguac -- it is in NEW -- will report transition bug
again). but for upcoming upload of libcomedi will report first (may be
today)


> > Transition is tiny -- just 2 dependent packages on libbiosig-dev
> > packages (below). "Transition bug" against biosig4c++ source is
> > #675967.
> The bts is acting up a bit, so I cannot actually read the contents of
> #675967 right now.  Anyhow, it appears to be RC, which will stall the
> transition so please close it or downgrade it.  For the purpose of
> tracking the transition, this bug is sufficient.

that was a fresh bugreport which I filed to prevent biosig4c++ to
migrate to wheezy before all depends are fine (i.e. trying to do
"transition" manually).  I guess I mixed up the meaning of 'transition
bug' and #675967 wasn't really necessary -- closing with this email.

> > Outstanding FTBFS on ia64 was fixed  (closed now) and I expect it to
> > build fine on sparc (which would resolve #633346).
> Thanks for solving the ia64 issue so quickly - I see biosig4c++ has
> already been rebuilt on all architectures (except sparc and armhf).  I
> doubt armhf will cause any issues (given armel succeeded and that armhf
> succeesfully built 1.3.0-1).
>   As biosig4c++ has not been built on sparc previously, it is less of a
> concern for the transition.  But it is nice to see another bug fixed.  :)

;-)  thanks for thanks.  I have built 1.3.0-1 on a local sparc box
without problem -- that is why I am somewhat positive about positive
outcome on buildd ;)


> We already scheduled the binNMUs for these earlier today and indeed
> sigviewer appears to be doing fine (still waiting for mipsel and armhf
> though).  openwalut is still building, but I hope it will be as painless
> as you expect.

actually openwalnut I haven't tested yet locally so there might be
surprises.

> > In terms of 'ben' lingo, my non-experienced guestimate that the transition
> > should have the following parameters:

> > Affected: .build-depends ~ /libbiosig-dev/
> > Good: .depends ~ /lbbiosig1/
> > Bad: .depends ~ /lbbiosig0/


> There is a tracker at [1].  It uses a slightly different "affected" line
> as I wrote the ben file before you reported this bug, but yours would
> have been just as good (modulo the "lbbiosig" typo?).  You can ignore

d'oh -- I keep saying myself to cut/paste but keep typing ... sorry
about that

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#675968; Package release.debian.org. (Mon, 04 Jun 2012 17:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 04 Jun 2012 17:27:11 GMT) Full text and rfc822 format available.

Message #22 received at 675968@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Niels Thykier <niels@thykier.net>
Cc: 675968@bugs.debian.org
Subject: Re: Bug#675968: transition: biosig4c++
Date: Mon, 4 Jun 2012 13:23:57 -0400
On Mon, 04 Jun 2012, Yaroslav Halchenko wrote:
> uploaded fresh libguac -- it is in NEW -- will report transition bug
> again). but for upcoming upload of libcomedi will report first (may be
> today)

doh -- there is no  need for transition with libcomedi seems to me --
just incremental change in API and soversion remains the same... in the
worst may be a  round of binNMUs would be needed for ABI
compatibility but ignorant me can't tell if that would be needed for
sure.

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#675968; Package release.debian.org. (Mon, 04 Jun 2012 17:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 04 Jun 2012 17:48:06 GMT) Full text and rfc822 format available.

Message #27 received at 675968@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Yaroslav Halchenko <debian@onerussian.com>, 675968@bugs.debian.org
Subject: Re: Bug#675968: transition: biosig4c++
Date: Mon, 04 Jun 2012 19:44:52 +0200
On 2012-06-04 19:11, Yaroslav Halchenko wrote:
> Thank you Niels,
> 
> On Mon, 04 Jun 2012, Niels Thykier wrote:
>> I am not entirely sure if this was implied or not in your sentence, but
>> we would prefer getting a transition bug before the package is uploaded
>> to sid.
> 
> yes -- that is what I meant (I have sinned twice btw -- just yesterday
> uploaded fresh libguac -- it is in NEW -- will report transition bug
> again). but for upcoming upload of libcomedi will report first (may be
> today)
> 

For the record, you can ask the ftp-masters to reject packages in NEW
(e.g. for stuff like this).  Anyhow, in the given case, we can probably
let it slide for now.  Though, I will follow up on the #675976 about
libguac.

> 
>>> Transition is tiny -- just 2 dependent packages on libbiosig-dev
>>> packages (below). "Transition bug" against biosig4c++ source is
>>> #675967.
>> The bts is acting up a bit, so I cannot actually read the contents of
>> #675967 right now.  Anyhow, it appears to be RC, which will stall the
>> transition so please close it or downgrade it.  For the purpose of
>> tracking the transition, this bug is sufficient.
> 
> that was a fresh bugreport which I filed to prevent biosig4c++ to
> migrate to wheezy before all depends are fine (i.e. trying to do
> "transition" manually).  I guess I mixed up the meaning of 'transition
> bug' and #675967 wasn't really necessary -- closing with this email.
> 

Yeah, in a transition we generally want packages to migrate "sooner
rather than later", so a new RC bug will just make things worse actually. :)

> [...]
> 
>> We already scheduled the binNMUs for these earlier today and indeed
>> sigviewer appears to be doing fine (still waiting for mipsel and armhf
>> though).  openwalut is still building, but I hope it will be as painless
>> as you expect.
> 
> actually openwalnut I haven't tested yet locally so there might be
> surprises.
> 
> [...]

The first results on openwalnut appears to be positive[1], so it is
probably not going to be an issue.  But if something fails I expect you
(i.e. the maintainers of biosig4c++) to help solve the issue.

~Niels

[1]
https://buildd.debian.org/status/package.php?p=openwalnut,sigviewer&compact=compact





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#675968; Package release.debian.org. (Mon, 04 Jun 2012 18:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 04 Jun 2012 18:21:02 GMT) Full text and rfc822 format available.

Message #32 received at 675968@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Yaroslav Halchenko <debian@onerussian.com>, 675968@bugs.debian.org
Cc: Niels Thykier <niels@thykier.net>
Subject: Re: Bug#675968: transition: biosig4c++
Date: Mon, 4 Jun 2012 20:18:30 +0200
On Mon, Jun  4, 2012 at 13:23:57 -0400, Yaroslav Halchenko wrote:

> 
> On Mon, 04 Jun 2012, Yaroslav Halchenko wrote:
> > uploaded fresh libguac -- it is in NEW -- will report transition bug
> > again). but for upcoming upload of libcomedi will report first (may be
> > today)
> 
> doh -- there is no  need for transition with libcomedi seems to me --
> just incremental change in API and soversion remains the same... in the
> worst may be a  round of binNMUs would be needed for ABI
> compatibility but ignorant me can't tell if that would be needed for
> sure.
> 
And yet you maintain shared libraries?  Sigh.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#675968; Package release.debian.org. (Mon, 04 Jun 2012 18:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 04 Jun 2012 18:30:05 GMT) Full text and rfc822 format available.

Message #37 received at 675968@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 675968@bugs.debian.org, Niels Thykier <niels@thykier.net>
Subject: Re: Bug#675968: transition: biosig4c++
Date: Mon, 4 Jun 2012 14:27:12 -0400
On Mon, 04 Jun 2012, Julien Cristau wrote:
> > > again). but for upcoming upload of libcomedi will report first (may be
> > > today)
> > doh -- there is no  need for transition with libcomedi seems to me --
> > just incremental change in API and soversion remains the same... in the
> > worst may be a  round of binNMUs would be needed for ABI
> > compatibility but ignorant me can't tell if that would be needed for
> > sure.
> And yet you maintain shared libraries?  Sigh.

yes -- trying to... someone has to... package is on mentors [1] --
if you would like to give more experienced view and mentor/sponsor it
instead of me -- you are more than welcome!

[1] http://mentors.debian.net/package/comedilib
-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#675968; Package release.debian.org. (Mon, 04 Jun 2012 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 04 Jun 2012 18:57:04 GMT) Full text and rfc822 format available.

Message #42 received at 675968@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Yaroslav Halchenko <yoh@debian.org>, 675968@bugs.debian.org
Cc: Niels Thykier <niels@thykier.net>
Subject: Re: Bug#675968: transition: biosig4c++
Date: Mon, 4 Jun 2012 20:53:01 +0200
On Mon, Jun  4, 2012 at 14:27:12 -0400, Yaroslav Halchenko wrote:

> someone has to...

That's at least arguable.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#675968; Package release.debian.org. (Mon, 04 Jun 2012 23:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 04 Jun 2012 23:18:07 GMT) Full text and rfc822 format available.

Message #47 received at 675968@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Niels Thykier <niels@thykier.net>, 675968@bugs.debian.org
Cc: Yaroslav Halchenko <debian@onerussian.com>
Subject: Re: Bug#675968: transition: biosig4c++
Date: Tue, 5 Jun 2012 01:16:01 +0200
[Message part 1 (text/plain, inline)]
Niels Thykier <niels@thykier.net> (04/06/2012):
> The first results on openwalnut appears to be positive[1], so it is
> probably not going to be an issue.  But if something fails I expect
> you (i.e. the maintainers of biosig4c++) to help solve the issue.

Still looking good. Just asked ftpmasters to decruft it.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Thu, 14 Jun 2012 05:15:04 GMT) Full text and rfc822 format available.

Notification sent to yoh@onerussian.com:
Bug acknowledged by developer. (Thu, 14 Jun 2012 05:15:04 GMT) Full text and rfc822 format available.

Message #52 received at 675968-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: 675968-done@bugs.debian.org
Subject: Re: Bug#675968: transition: biosig4c++
Date: Thu, 14 Jun 2012 06:09:57 +0100
On Tue, 2012-06-05 at 01:16 +0200, Cyril Brulebois wrote:
> Niels Thykier <niels@thykier.net> (04/06/2012):
> > The first results on openwalnut appears to be positive[1], so it is
> > probably not going to be an issue.  But if something fails I expect
> > you (i.e. the maintainers of biosig4c++) to help solve the issue.
> 
> Still looking good. Just asked ftpmasters to decruft it.

As of the last britney run, the updated source package migrated and
libbiosig0 is no longer in the archive; I think we can declare this
transition done.

Regards,

Adam





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 Jul 2012 07:40:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:48:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.